%define module_version 0.0200
%define module_name Mojolicious-Plugin-DbicSchemaViewer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBIx/Class.pm) perl(DBIx/Class/Visualizer.pm) perl(Data/Dump/Streamer.pm) perl(DateTime/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Mojolicious.pm) perl(Mojolicious/Plugin/BootstrapHelpers.pm) perl(Path/Tiny.pm) perl(PerlX/Maybe.pm) perl(Safe/Isa.pm) perl(String/Random.pm) perl(String/Stomp.pm) perl(Syntax/Feature/Qi.pm) perl(Test/Deep.pm) perl(Test/Mojo.pm) perl(Test/More.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0200
Release: alt1
Summary: Viewer for DBIx::Class schema definitions
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Mojolicious-Plugin-DbicSchemaViewer

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CS/CSSON/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This plugin is viewer for the DBIx::Class manpage schemas. It lists all `ResultSources' with column definitions and and their relationships. See `examples/example.html' for an example.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sat Nov 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.0200-alt1
- regenerated from template by package builder

* Wed Nov 04 2015 Igor Vlasenko <viy@altlinux.ru> 0.0101-alt1
- initial import by package builder

